package lab11_flyweight.ex1;

import java.util.HashMap;
import java.util.Map;

public class BrushFactory {
    private final Map<Brush.Props, Brush> brushes = new HashMap<>();

    public Brush getBrush(Brush.Props props) {
        Brush brush = brushes.get(props);
        if (brush == null) {
            brush = new Brush(props);
            brushes.put(props, brush);
        }
        return brush;
    }
}
