package lab11_flyweight.ex1;

public class Main {
    public static void main(String[] args) {
        BrushFactory factory = new BrushFactory();
        Brush.Props props1 = new Brush.Props(Size.THICK, Color.RED);
        Brush.Props props2 = new Brush.Props(Size.THIN, Color.BLUE);
        DrawingTool brush1 = factory.getBrush(props1);
        DrawingTool brush2 = factory.getBrush(props1);

        brush1.draw("I am drawing with my first thick red brush");
        brush2.draw("I am drawing with my second thick red brush");
        System.out.println("first thick red brush hashcode: " + brush1.hashCode());
        System.out.println("second thick red brush hashcode: " + brush2.hashCode());

        System.out.println();
        DrawingTool pencil = new Pencil();
        pencil.draw("Bonjour");
        System.out.println();

        DrawingTool brush3 = factory.getBrush(props2);
        DrawingTool brush4 = factory.getBrush(props2);

        brush3.draw("I am drawing with my first thin blue brush");
        brush4.draw("I am drawing with my second thin blue brush");
        System.out.println("first thin blue brush hashcode: " + brush3.hashCode());
        System.out.println("second thin blue brush hashcode: " + brush4.hashCode());


    }
}
