package lab12_singleton.ex1;

import java.util.ArrayList;

public abstract class SingletonSensorManager {
    private final ArrayList<Sensor> sensors = new ArrayList<>();

    protected SingletonSensorManager() {}

    public void addSensor(Sensor sensor) {
        sensors.add(sensor);
    }

    public void printState() {
        System.out.println("<" + this.getClass().getSimpleName() + ": " + sensors.toString() + ">");
    }
}
