package lab1_decorator.ex1;

public class AirbagDecorator extends CarDecorator {
    public AirbagDecorator(Car car) {
        super(car);
    }

    @Override
    public double getCost() {
        return 10 + super.getCost();
    }

    @Override
    public double getSecurityLevel() {
        return 10 + super.getSecurityLevel();
    }

    @Override
    public String getDescription() {
        return super.getDescription() + ", Airbag System";
    }
}
