package lab1_decorator.ex2;

public class ColorDecorator extends ShapeDecorator {
    private String color;

    public ColorDecorator(Shape shape, String color) {
        super(shape);
        this.color = color;
    }

    @Override
    public void draw() {
        super.draw();
        System.out.printf("    in a %s color%n", color);
    }
}
