package lab2_factory_method.ex2;

public class ArchitectOffice {
    public static void main(String[] args) {
        HouseCreator glassHouseCreator = new GlassHouseCreator();
        HouseCreator bricksHouseCreator = new BricksHouseCreator();
        HouseCreator woodHouseCreator = new WoodHouseCreator();

        House house1 = glassHouseCreator.create();
        house1.buildHouse();
        house1.calculatePrice();
        House house2 = bricksHouseCreator.create();
        house2.buildHouse();
        house2.calculatePrice();
        House house3 = woodHouseCreator.create();
        house3.buildHouse();
        house3.calculatePrice();
    }
}
