package lab5_adapter.ex1;

public class OldMachine implements Machine {
    private String name;
    private int capsules = 0;
    private boolean completelyUp = false;

    public OldMachine(String name) {
        this.name = name;
    }

    public void setNumberOfCapsules(int capsules) {
        this.capsules = capsules;
    }

    public void setCompletelyUp(boolean completelyUp) {
        this.completelyUp = completelyUp;
    }

    @Override
    public int getNumberOfCapsules() {
        return capsules;
    }

    @Override
    public boolean isCompletelyUp() {
        return completelyUp;
    }

    @Override
    public void stop() {
        System.out.println("Stopping machine " + name);
    }

    @Override
    public String toString() {
        return "Machine " + name + " is currently processing " + getNumberOfCapsules() + " capsules";
    }
}
