package lab7_state.ex2;

public abstract class UserState {
    protected User user;
    public UserState(User user) {
        this.user = user;
    }
    protected void log(String msg) {
        System.out.println("[" + user + "] " + msg);
    }

    public void connect() {};
    public void enter() {};
    public void leave() {};
    public void ask() {};
    public void handOver() {};
    public void over() {};
}
