package lab7_state.ex2.states;

import lab7_state.ex2.User;
import lab7_state.ex2.UserState;

public class RegisteredState extends UserState {
    public RegisteredState(User user) {
        super(user);
    }

    @Override
    public void enter() {
        user.setCurrentState(user.getInMeetingState());
        log("Entered meeting");
    }
}
