package lab8_builder.ex1;

public abstract class CarBuilder {
    protected Car car;

    protected abstract String getCarType();

    public Car getCar() {
        return car;
    }

    public void setCar(Car car) {
        this.car = car;
    }

    public abstract void buildEngine();
    public abstract void buildBreaks();
    public abstract void buildSeats();
    public abstract void buildWindows();
}
