package lab8_builder.ex1;

import lab8_builder.ex1.builders.BerlinBuilder;
import lab8_builder.ex1.builders.SportBuilder;

public class Main {
    public static void main(String[] args) {
        CarFactory factory = new CarFactory();

        CarBuilder builder1 = new BerlinBuilder();
        CarBuilder builder2 = new SportBuilder();

        factory.setBuilder(builder1);
        Car car1 = factory.construct();

        factory.setBuilder(builder2);
        Car car2 = factory.construct();

        System.out.println(car1);
        System.out.println(car2);
    }
}
