package lab8_builder.ex1.builders;

import lab8_builder.ex1.CarBuilder;

public class SportBuilder extends CarBuilder {
    @Override
    protected String getCarType() {
        return "Sports";
    }

    @Override
    public void buildEngine() {
        car.setEngine("V8");
        car.setFuelType("Unleaded 95");
        car.setPower("7'000 horses");
    }

    @Override
    public void buildBreaks() {
        car.setBreaks("Holo-magnetic and semi-cyclonic");
    }

    @Override
    public void buildSeats() {
        car.setSeats("2");
    }

    @Override
    public void buildWindows() {
        car.setWindows("Standard");
    }
}
