package learn;

class Printer {
    private static int totalNumberOfPrinters = 0;
    private String printerName;

    Printer(String name) {
        this.printerName = name;
        totalNumberOfPrinters++;
    }

    public boolean setPrinterName(String printerName) {
        boolean different = !this.printerName.equals(printerName);
        this.printerName = printerName;
        return different;
    }

    public static int getTotalNumberOfPrinters() {
        return totalNumberOfPrinters;
    }

    private void toLowerCase() {
        this.printerName = this.printerName.toLowerCase();
    }
}

public class MicroLabTask3 {
    public static void main(String[] args) {
        Printer p1 = new Printer("First printer");
        Printer p2 = new Printer("Printer the Second");
        Printer p3 = new Printer("Printerus III");
        System.out.println(Printer.getTotalNumberOfPrinters());
    }
}
