package learn.simple_responsibility_chain;

import java.util.Arrays;
import java.util.List;

public class ConcreteHandler1 extends Handler {
    private final List<String> myAnimals = Arrays.asList("cat", "dog", "horse");

    @Override
    public void handleRequest(Request request) {
        if (myAnimals.contains(request.getValue())) {
            System.out.println("Request for " + request.getValue() + " handled by " + this);
        } else {
            if (successor != null) {
                successor.handleRequest(request);
            }
        }
    }
}
