package learn.simple_responsibility_chain;

import java.util.Arrays;
import java.util.List;

public class ConcreteHandler2 extends Handler {
    private final List<String> myColors = Arrays.asList("red", "yellow", "blue");

    @Override
    public void handleRequest(Request request) {
        if (myColors.contains(request.getValue())) {
            System.out.println("Request for " + request.getValue() + " handled by " + this);
        } else {
            if (successor != null) {
                successor.handleRequest(request);
            }
        }
    }
}
