package lab11_flyweight.ex1;

public class Brush implements DrawingTool {
    private final Props props;

    public Brush(Props props) {
        this.props = props;
    }

    @Override
    public void draw(String text) {
        System.out.println("Drawing '" + text + "' in " + props.size + ", color:" + props.color);
    }

    public record Props(Size size, Color color) {}
}
