package lab12_singleton.ex1.managers;

import lab12_singleton.ex1.SingletonSensorManager;

public class DbleCheckedSingletonSensorsManager extends SingletonSensorManager {
    private static DbleCheckedSingletonSensorsManager instance;

    public static DbleCheckedSingletonSensorsManager getInstance() {
        if (instance == null) {
            synchronized (DbleCheckedSingletonSensorsManager.class) {
                if (instance == null) {
                    instance = new DbleCheckedSingletonSensorsManager();
                }
            }
        }
        return instance;
    }
}
