package lab12_singleton.ex1.managers;

import lab12_singleton.ex1.SingletonSensorManager;

public class EagerSingletonSensorsManager extends SingletonSensorManager {
    private static final EagerSingletonSensorsManager instance = new EagerSingletonSensorsManager();

    public static EagerSingletonSensorsManager getInstance() {
        return instance;
    }
}
