package lab12_singleton.ex1.managers;

import lab12_singleton.ex1.SingletonSensorManager;

public class SimpleSingletonSensorsManager extends SingletonSensorManager {
    private static SimpleSingletonSensorsManager instance;

    public static SingletonSensorManager getInstance() {
        if (instance == null) {
            instance = new SimpleSingletonSensorsManager();
        }
        return instance;
    }
}
