package lab12_singleton.ex1.managers;

import lab12_singleton.ex1.SingletonSensorManager;

public class SynchSingletonSensorsManager extends SingletonSensorManager {
    private static SynchSingletonSensorsManager instance;

    public static synchronized SynchSingletonSensorsManager getInstance() {
        if (instance == null) {
            instance = new SynchSingletonSensorsManager();
        }
        return instance;
    }
}
