package lab1_decorator.ex1;

public class AntiSlidingSystemDecorator extends CarDecorator {
    public AntiSlidingSystemDecorator(Car car) {
        super(car);
    }

    @Override
    public double getCost() {
        return 20 + super.getCost();
    }

    @Override
    public double getSecurityLevel() {
        return 5 + super.getSecurityLevel();
    }

    @Override
    public String getDescription() {
        return super.getDescription() + ", Anti Sliding System";
    }
}
