package lab1_decorator.ex1;

public class EngineDecorator extends CarDecorator {
    public EngineDecorator(Car car) {
        super(car);
    }

    @Override
    public double getCost() {
        return 20 + super.getCost();
    }

    @Override
    public String getDescription() {
        return super.getDescription() + ", Engine";
    }
}
