package lab1_decorator.ex2;

public class BorderDecorator extends ShapeDecorator {
    private int thickness;

    public BorderDecorator(Shape shape, int thickness) {
        super(shape);
        this.thickness = thickness;
    }

    @Override
    public void draw() {
        super.draw();
        System.out.printf("    with a %dpx border%n", thickness);
    }
}
