package lab1_decorator.ex2;

public class TextureDecorator extends ShapeDecorator {
    private String texture;

    public TextureDecorator(Shape shape, String texture) {
        super(shape);
        this.texture = texture;
    }

    @Override
    public void draw() {
        super.draw();
        System.out.printf("    using %s%n", this.texture);
    }
}
