package lab5_adapter.ex1;

public class MachineAdapter implements NewMachineInterface {
    private OldMachine machine;

    public MachineAdapter(OldMachine machine) {
        this.machine = machine;
    }

    @Override
    public int getNumberOfCapsules() {
        return machine.getNumberOfCapsules();
    }

    @Override
    public boolean isCompletelyUp() {
        return machine.isCompletelyUp();
    }

    @Override
    public void stop() {
        machine.stop();
    }

    @Override
    public void setNumberOfCapsules(int capsules) {
        machine.setNumberOfCapsules(capsules);
    }

    @Override
    public void setCompletelyUp(boolean completelyUp) {
        machine.setCompletelyUp(completelyUp);
    }

    @Override
    public Engineer getEngineer() {
        return null;
    }

    @Override
    public String toString() {
        return machine.toString() + ", supervised by engineer " + getEngineer();
    }
}
