package lab7_state.ex2.states;

import lab7_state.ex2.User;
import lab7_state.ex2.UserState;

public class WaitingToSpeakState extends UserState {
    public WaitingToSpeakState(User user) {
        super(user);
    }

    @Override
    public void leave() {
        user.setCurrentState(user.getRegisteredState());
        log("Lost patience, left meeting");
    }

    @Override
    public void handOver() {
        user.setCurrentState(user.getSpeakingState());
        log("Starts speaking");
    }
}
