package lab8_builder.ex1;

public class CarFactory {
    private CarBuilder builder;
    private Car car;

    public void setBuilder(CarBuilder builder) {
        this.builder = builder;
    }

    public Car construct() {
        car = new Car(builder.getCarType());
        builder.setCar(car);
        builder.buildEngine();
        builder.buildBreaks();
        builder.buildSeats();
        builder.buildWindows();
        return builder.getCar();
    }
}
