package lab8_builder.ex1.builders;

import lab8_builder.ex1.CarBuilder;

public class BerlinBuilder extends CarBuilder {
    @Override
    protected String getCarType() {
        return "Berlin";
    }

    @Override
    public void buildEngine() {
        car.setEngine("V12");
        car.setFuelType("Diesel");
        car.setPower("12'000 Horses");
    }

    @Override
    public void buildBreaks() {
        car.setBreaks("Premium Double Tungsten-Platinum Alloy");
    }

    @Override
    public void buildSeats() {
        car.setSeats("5");
    }

    @Override
    public void buildWindows() {
        car.setWindows("Tinted bullet-proof");
    }
}
