package learn.simple_abstract_factory;

public class Main {
    public static void main(String[] args) {
        Client client1 = new Client(new ConcreteFactory1());
        Client client2 = new Client(new ConcreteFactory1());

        client1.setup();

        client2.setAbstractFactory(new ConcreteFactory2());
        client2.setup();

        System.out.println(client1);
        System.out.println(client2);
    }
}
