package learn.simple_responsibility_chain;

import java.util.Arrays;
import java.util.List;

public class ConcreteHandler3 extends Handler {
    private final List<String> myNumbers = Arrays.asList("1", "2", "3");

    @Override
    public void handleRequest(Request request) {
        if (myNumbers.contains(request.getValue())) {
            System.out.println("Request for " + request.getValue() + " handled by " + this);
        } else {
            throw new RuntimeException("Request could not be handled");
        }
    }
}
