package learn.simple_state;

public class OnState implements State {
    private Context context;

    public OnState(Context context) {
        this.context = context;
    }

    @Override
    public void on() {
        System.out.println("Already on");
    }

    @Override
    public void off() {
        context.setCurrentState(context.getOffState());
        System.out.println("Transition to off");
    }
}
